[arch-commits] Commit in gtkglext/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Mon Apr 6 22:43:56 EDT 2009


    Date: Monday, April 6, 2009 @ 22:43:56
  Author: eric
Revision: 34159

Merged revisions 9958,9966,34157 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gtkglext/trunk

........
  r9958 | eric | 2008-08-20 22:56:50 -0400 (Wed, 20 Aug 2008) | 1 line
  
  added license, updated depends
........
  r9966 | eric | 2008-08-21 00:18:57 -0400 (Thu, 21 Aug 2008) | 1 line
........
  r34157 | eric | 2009-04-06 22:27:39 -0400 (Mon, 06 Apr 2009) | 2 lines
  
  upgpkg: gtkglext 1.2.0-2
      License rebuild
........

Modified:
  gtkglext/repos/extra-i686/	(properties)
  gtkglext/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)


Property changes on: gtkglext/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gtkglext/trunk:1-8720
   + /gtkglext/trunk:1-34158

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-07 02:27:59 UTC (rev 34158)
+++ extra-i686/PKGBUILD	2009-04-07 02:43:56 UTC (rev 34159)
@@ -4,22 +4,23 @@
 
 pkgname=gtkglext
 pkgver=1.2.0
-pkgrel=1
+pkgrel=2
 pkgdesc="opengl extensions for gtk2"
 arch=('i686' 'x86_64')
 url="http://gtkglext.sourceforge.net/"
-depends=('gtk2' 'pango')
+license=('LGPL')
+depends=('gtk2' 'mesa' 'libxmu')
 makedepends=('gcc>=4.0.3')
 options=('!libtool')
 source=("http://downloads.sourceforge.net/sourceforge/gtkglext/$pkgname-$pkgver.tar.bz2") # $pkgname-$pkgver-pangox.patch)
 md5sums=('ed7ba24ce06a8630c07f2d0ee5f04ab4')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   # fix "undefined reference to `pango_x_font*" trouble
   #cat $startdir/src/$pkgname-$pkgver-pangox.patch | patch -p1 || return 1
-  autoconf --force
-  ./configure --prefix=/usr
+  autoconf --force || return 1
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list